package wtf.opal.event.impl.game.player.movement;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public final class SprintEvent {
   private boolean canStartSprinting;

   public SprintEvent(boolean canStartSprinting) {
      this.canStartSprinting = canStartSprinting;
   }

   public boolean isCanStartSprinting() {
      return this.canStartSprinting;
   }

   public void setCanStartSprinting(boolean canStartSprinting) {
      this.canStartSprinting = canStartSprinting;
   }
}
